Package com.ngrok.services

# Class TlsCertificates

java.lang.Object
com.ngrok.services.TlsCertificates

public class TlsCertificates extends Object
TLS Certificates are pairs of x509 certificates and their matching private key that can be used to terminate TLS traffic. TLS certificates are unused until they are attached to a Domain. TLS Certificates may also be provisioned by ngrok automatically for domains on which you have enabled automated certificate provisioning. See also https://ngrok.com/docs/api#api-tls-certificates.

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `class`
  `TlsCertificates.CreateCallBuilder`
  A builder object encapsulating state for an unsent Create API call.
  `class`
  `TlsCertificates.DeleteCallBuilder`
  A builder object encapsulating state for an unsent Delete API call.
  `class`
  `TlsCertificates.GetCallBuilder`
  A builder object encapsulating state for an unsent Get API call.
  `class`
  `TlsCertificates.ListCallBuilder`
  A builder object encapsulating state for an unsent List API call.
  `class`
  `TlsCertificates.UpdateCallBuilder`
  A builder object encapsulating state for an unsent Update API call.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TlsCertificates(NgrokApiClient apiClient)`
  Creates a new sub-client for TlsCertificates.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `TlsCertificates.CreateCallBuilder`
  `create(String certificatePem, String privateKeyPem)`
  Upload a new TLS certificate See also https://ngrok.com/docs/api#api-tls-certificates-create.
  `TlsCertificates.DeleteCallBuilder`
  `delete(String id)`
  Delete a TLS certificate See also https://ngrok.com/docs/api#api-tls-certificates-delete.
  `TlsCertificates.GetCallBuilder`
  `get(String id)`
  Get detailed information about a TLS certificate See also https://ngrok.com/docs/api#api-tls-certificates-get.
  `TlsCertificates.ListCallBuilder`
  `list()`
  List all TLS certificates on this account See also https://ngrok.com/docs/api#api-tls-certificates-list.
  `TlsCertificates.UpdateCallBuilder`
  `update(String id)`
  Update attributes of a TLS Certificate by ID See also https://ngrok.com/docs/api#api-tls-certificates-update.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### TlsCertificates

    public TlsCertificates(NgrokApiClient apiClient)
    Creates a new sub-client for TlsCertificates.
    Parameters:
      `apiClient` - an instance of `NgrokApiClient`

- ## Method Details

  - ### create

    public TlsCertificates.CreateCallBuilder create(String certificatePem, String privateKeyPem)
    Upload a new TLS certificate See also https://ngrok.com/docs/api#api-tls-certificates-create.
    Parameters:
      `certificatePem` - chain of PEM-encoded certificates, leaf first. See Certificate Bundles.
      `privateKeyPem` - private key for the TLS certificate, PEM-encoded. See Private Keys.
    Returns:
      a call builder for this API call

  - ### delete

    public TlsCertificates.DeleteCallBuilder delete(String id)
    Delete a TLS certificate See also https://ngrok.com/docs/api#api-tls-certificates-delete.
    Parameters:
      `id` - a resource identifier
    Returns:
      a call builder for this API call

  - ### get

    public TlsCertificates.GetCallBuilder get(String id)
    Get detailed information about a TLS certificate See also https://ngrok.com/docs/api#api-tls-certificates-get.
    Parameters:
      `id` - a resource identifier
    Returns:
      a call builder for this API call

  - ### list

    public TlsCertificates.ListCallBuilder list()
    List all TLS certificates on this account See also https://ngrok.com/docs/api#api-tls-certificates-list.
    Returns:
      a call builder for this API call

  - ### update

    public TlsCertificates.UpdateCallBuilder update(String id)
    Update attributes of a TLS Certificate by ID See also https://ngrok.com/docs/api#api-tls-certificates-update.
    Parameters:
      `id` - the value of the `id` parameter as a `String`
    Returns:
      a call builder for this API call